Bug 17368 - sfdisk and fdisk give different results
sfdisk and fdisk give different results
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2000-09-08 17:52 EDT by brian Correia
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-14 20:38:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description brian Correia 2000-09-08 17:52:02 EDT
I am running RedHat 6.2E on two Dell PowerEdge 6450 with a shared external
drive array.  The external array has 510GB of drive space and consists of 8
partitions at the hardware level.  At the OS level I am creating 2GB
partitions to use as RAW devices for Oracle.

When I use fdisk to create the primary and extended partitions I start my
first patition at cylinder 1. If I use sfdisk to view these partitions it
states that the first partition statrs at 0+. 
If I use sfdisk to create the partitions starting the first partition at
cylinder 1, fdisk shows that my first partition starts at cylinder 2. 
By looking at the results that the two partitioning utilities give the
partitions overlap by one cylinder. This seems to be consistant with the
results we are seeing from Oracle.

We have installed Oracle and created the tables spaces on the RAW devices.
After Oracle is running for a while we get an error that our data has
become corrupt.  This will happen when data from one partition overlaps

Is one of these utilities better at reporting the actual disk partitions?
Is there some way I can create these partitions and not have them overlap?

If more information is needed please let me know..
Brian Correia
Comment 1 Elliot Lee 2001-07-17 18:32:35 EDT
Can you describe what you think is the problem exactly? The initial partition's
offset shouldn't have anything to do with overlap between partitions on the same

My apologies for the former util-linux packager's unresponsiveness.
Comment 2 Alan Cox 2002-12-14 20:38:06 EST
No answer in almost two years so assuming resolved

Note You need to log in before you can comment on or make changes to this bug.